<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Co je to Aur?" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>Co je to Aur?</title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>Co je to AUR?</h1>

        <img alt="" src="../img/AUR1.webp" style="width: 50%;height: auto;">

        <p><strong> Arch User Repository (AUR)</strong> je sbírka souborů (balíčků aplikací) ( PKGBUILDFiles). Tyto
            soubory lze použít k vytvoření archivních souborů balíčku ( .pkg.tar.zstFiles).</p>
        <p>Tyto PKGBUILDSoubory mohou být použity pomocníkem AUR (např. yay, aurman, Pamac) nebo ručně vyrobeno pomocí
            makepkg. . Výsledný archivní soubor balíčku pak může být nainstalován běžným způsobem.</p>
        <p>Veškerý obsah na AUR je nahráván běžnými uživateli a je provedeno jen velmi málo kontroly jejich obsahu – je
            na Vás, abyste ověřili, že obsah je bezpečný.</p>
        <p>Nejlepším (nejpodrobnějším a nejpřesnějším) zdrojem informací o AUR je stránka <a
                href="https://wiki.archlinux.org/index.php/Arch_User_Repository" target="_ublank">Arch wiki</a>
        <p>Přečtěte si prosím – <a href="https://wiki.archlinux.org/title/Arch_User_Repository#FAQ" target="_ublank">Arch
            User Repository
        </a>.</p>

        <h2>Nějaká žába o tom také přemýšlela i na fóru:</h2>
        <p>Původně napsaný uživatelem na officiálním fóru endeavourOS <a
                href="https://forum.endeavouros.com/t/aur-pkgbuilds/6669/18" target="_blank"> kresimir</a>.</p>
        <p>AUR je jedním z nejbezpečnějších způsobů instalace softwaru, jen proto, že je tak transparentní. Ale
            netoleruje jen při pohledu na balíček v Pamac a kliknutí na tlačítko Build nebo dělat yay package_name
            slepě. Vyžaduje to, aby uživatel věděl, co se děje. To je důvod, proč doporučuji pokusit se vytvořit alespoň
            jeden balíček ručně, pochopit, co se děje, před použitím AUR pomocníka, jako je pamac nebo yay.</p>
        <p>Yay má pěknou funkci, která vám umožní zkontrolovat soubor PKGBUILD před instalací a vidět rozdíly v souboru
            PKGBUILD při aktualizaci balíčku z AUR. Neignorujte tuto funkci, je to velmi užitečné a vaše používání AUR
            bude mnohem bezpečnější.</p>
        <p><strong>Zde je několik tipů, jak být v bezpečí pomocí AUR.</strong></p>
        <p>Nejprve se podívejte na balíček na <a href="https://aur.archlinux.org/" target="_ublank">
            aur.archlinux.org</a>, mrkněte na komentáře, upvotes, popularita, jméno balíčku atd. Pokud to není populární
            balíček, buďte při kontrole souboru PKBUILD obzvláště opatrní. Podívejte se na datum, kdy byl balíček
            naposledy aktualizován. Pokud je poměrně starý nebo aktualizován stejnou osobou a lidé ji používají, je to
            téměř jistě bezpečné. Pokud se děje něco neobvyklého , bude to odstraněno z AUR poměrně rychle.</p>
        <p>Co hledat v souboru PGBUILD?</p>
        <p> Budete se muset naučit nějaké elementární shell skriptování, abyste pochopili, co se děje. Je to jednodušší,
            než to zní.</p>
        <p>Inspekci i souborů PKGBUILD pro zcela důvěryhodné balíčky, abyste se naučili rozpoznat dobrý soubor PKGBUILD.
            Když uvidíte tucet dobrých souborů PKGBUILD a pochopíte, co se tam děje, budete mít již cit pro cokoliv, co
            je mimo standart.</p>
        <p>Hledejte něco zjevně zlomyslného, jako rm, mv příkazy, jakékoli výstupní přesměrování, jakákoli zmínka o
            /dev(S podobným /dev/null, /dev/sda, /dev/zero, /dev/random), mkfs, jakékoliv volání na pacman, systemctl,
            cokoliv, co se dotýká grub... takové věci.</p>
        <p>Hledejte jakýkoliv příkaz, který dělá věci ve vašem domácím adresáři. Typicky by se stavba a instalace
            balíčků nemělo dotýkat ničeho v adresáři home. Pokud najdete něco takového, buďte velmi podezřívaví a
            ujistěte se, že zcela rozumíte tomu, co tento příkaz dělá.</p>
        <p>Hledejte vše, co vypadá záměrně zamlženě. Cokoliv, co je napsáno nejasným způsobem, s mnoha semikolony,
            &&S.S. a ||s.s., hodně závorek, sed, awk, atd. Typicky, dobré PKGBUILD obsahují velmi jednoduché pokyny.</p>
        <p>Ujistěte se, že software pochází z důvěryhodného místa, ať už se jedná o binární distribuci nebo zdrojový
            kód. Zkontrolujte všechny adresy URL ve skriptu, ujistěte se, že jsou oficiální stránky pro software, který
            instalujete. Všechny adresy URL by měly být uvedeny úhledně na začátku souboru. Hledejte jakékoliv stahování
            externích skriptů, s curl nebo wget, nemělo by být nic takového. Pozor na náhodná místa Github.</p>
        <p><strong>Používejte zdravý rozum.</strong>
        <p>
        <p>Také, když nainstalujete něco z AUR, zvažte jeho hlasování na <a href="https://aur.archlinux.org/"
                                                                            target="_ublank"> aur.archlinux.org</a>, jen
            abyste všichni věděli, že je to dobrý balíček. Hlasy jsou jedním z kritérií pro zahrnutí balíčků do
            oficiálních repos. Pokud si všimnete něčeho škodlivého, neopomente to nahlásit. Update dobrých balíčků a
            hlášení špatných je nejjednodušší způsob, jak zlepšit AUR pro každého.</p>


        <p>Návod je převzat z
            <a
                    href="https://discovery.endeavouros.com/aur/faq-what-is-the-aur/2021/03/"
                    target="_blank"
            >Discovery</a
            >
            na EndeavourOS vydán 09. března 2021.
        </p>

        
        <code>
            <p><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                26.8.2024</code></p>
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php" ?>
<script src="assets/script.js"></script>
</body>
</html>
