<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS, ArchLinux" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - 💽 Jak připojit nový SSD disk v EndeavourOS</title>
</head>

<body>
    <?php require "assets/header.php"; ?>
    <main>
        <section class="welcome">
            <h1>💽 Jak připojit nový SSD disk v EndeavourOS</h1>
            <p>1. Zjistíme jestli systém disk vidí:</p>
            <div class="code-box">
                <pre id="code-content">
          sudo blkid
        </pre>
            </div>
            <p>Určíme přidaný disk (dle názvu či velikosti), v mém případě dle názvu to byl
                <strong>UUID=ac7fcb19-db3b-4325-85d7-b7bec6abb58a</strong>.
            </p>
            <p>2. Vytvoříme v systému složku media:
            </p>
            <div class="code-box">
                <pre id="code-content">
          sudo mkdir /media/
        </pre>
            </div>
            <p>3. Ve složce media vytvoříme složku data což bude název nově připojeného disku:
            </p>
            <div class="code-box">
                <pre id="code-content">
                sudo mkdir /media/data
        </pre>
            </div>
            <p>4. Připojíme nový disk pomocí konfigurace fstab, použijeme k tomu terminálový editor <a
                    href="https://lukan.cz/2024/10/%f0%9f%92%bb-nano-terminalovy-textovy-editor/"
                    target="_blank">Nano</a>.</p>
            <div class="code-box">
                <pre id="code-content">
                sudo nano /etc/fstab
            </pre>
            </div>
            <p>5. Na řádek vložíme informace o našem disku. <strong>Pozor budou se lišit od mých, tento kód je pouze pro
                    ukázku. Vše vyčtete pomocí sudo blkid</strong>.</p>
            <div class="code-box">
                <pre id="code-content">
                UUID=ac7fcb19-db3b-4325-85d7-b7bec6abb58a /media/data ext4 defaults 0 3
            </pre>
            </div>
            <p>Zapíšeme a uložíme změnu v fstab pomocí editoru Nano.</p>
            <p>6. Připojíme nový disk k systému:
            </p>
            <div class="code-box">
                <pre id="code-content">
                sudo mount -a
            </pre>
            </div>
            <p>Restartujeme systém nebo pokračujeme dle pokynů z terminálu bez restartu.</p>
            <p>7. Nastavíme plná práva pro přístup uživatelům k disku:</p>
            <p>Pro jednotlivce nebo vás použijeme příkaz:</p>
            <div class="code-box">
                <pre id="code-content">
                sudo chown vaseUzivatelskeJmeno:vaseUzivatelskeJmeno /media/data
            </pre>
            </div>
            <p>nebo pro všechny uživatele v PC:</p>
            <div class="code-box">
                <pre id="code-content">
                sudo chmod 700 /media/data
            </pre>
            </div>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                11.11.2024</code
            >
        </section>
    </main>
    <?php require "assets/returnbutton.php"; ?>
    <?php require "assets/footer.php"; ?>
    <script src="assets/script.js"></script>
</body>

</html>