<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, ArchLinux" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - 🔑 Řešení chyb s klíči v Arch Linux a EndeavourOS</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>🔑 Řešení chyb s klíči v Arch Linux a EndeavourOS</h1>
        <p>Pokud při aktualizaci nebo instalaci dostáváte chyby jako “Nelze aktualizovat: podpis od *** má nedostatečnou důvěru” nebo “neplatný či poškozený balíček”, postupujte následovně pro řešení.</p>
        <img src="img/arch-pacman.jpg" alt="" style="width: 65%;height: auto;">
        <h2>1. Aktualizace klíčů pro podepisování balíčků</h2>
        <p>Pro zajištění správného ověření balíčků je potřeba aktualizovat klíče pro Arch Linux i EndeavourOS.</p>
        <p>Uživatelé <strong>EndeavourOS</strong> by měli použít následující příkaz pro aktualizaci obou klíčových balíčků:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -Sy archlinux-keyring endeavouros-keyring
        </pre>
        </div>
        <p>Pokud používáte čistý <strong>Arch Linux</strong>, stačí aktualizovat pouze archlinux-keyring:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -Sy archlinux-keyring
        </pre>
        </div>
        <img src="./img/archos-key.png" alt="" style="width: 50%;height: auto;">
        <p>⚠️ <strong>Tip</strong>: Zkontrolujte, že je systémový čas správně nastavený, protože nesprávný čas může způsobit problémy s klíči.</p>
        <h2>2. Kontrola a odstranění poškozených balíčků</h2>
        <p>Je možné, že balíček je skutečně poškozený. V takovém případě ho odstraňte z cache, aby si pacman stáhl novou verzi:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo rm /var/cache/pacman/pkg/nazev_balicku.pkg.tar.zst
        </pre>
        </div>
        <p>Pokud není konkrétní balíček zmíněn, může být příčinou neúplné stažení. Odstraňte částečné soubory stažení pomocí:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo rm /var/cache/pacman/pkg/*.part
        </pre>
        </div>
        <h2>3. Vyčištění pacman keyring a obnovení klíčů</h2>
        <p>V případě přetrvávajících problémů můžete vymazat pacman keyring a vytvořit nový:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo mv /etc/pacman.d/gnupg /root/pacman-key.bak
          sudo pacman-key --init
          sudo pacman-key --populate archlinux endeavouros
          sudo pacman -Syy archlinux-keyring endeavouros-keyring
          sudo pacman -Syyu
        </pre>
        </div>
        <h2>4. Opětovná instalace klíčů</h2>
        <p>Pokud stále nemáte úspěch a jste si jisti, že balíčky jsou v pořádku, můžete provést nucenou instalaci klíčů z cache:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -U /var/cache/pacman/pkg/{archlinux,endeavouros}-keyring*.pkg.tar.zst
        </pre>
        </div>
        <p>Po této operaci znovu zkuste příkaz pro aktualizaci.</p>
        <h2>5. Instalace AUR balíčků s PGP klíči</h2>
        <div class="code-box">
          <pre id="code-content">
          llvm-5.0.0.src.tar.xz ... CHYBA (neznámý veřejný klíč 0FC3042E345AD05D)
          libcxx-5.0.0.src.tar.xz ... CHYBA (neznámý veřejný klíč 0FC3042E345AD05D)
        </pre>
        </div>
        <p>Pro vyřešení jednoduše importujte chybějící klíč do svého keyringu:</p>
        <div class="code-box">
          <pre id="code-content">
          gpg --recv-key 0FC3042E345AD05D
        </pre>
        </div>
        <p>Po provedení tohoto kroku by instalace měla pokračovat bez dalších potíží.</p>

        <p>Článek připravil a napsal <a href="https://mastodon.arch-linux.cz/@archos" target="_blank">Archos</a>. Velmi děkujeme. 11.11.2024</p>
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>
<script src="assets/script.js"></script>
</body>
</html>
